## RSCDSUser

Description

A class for viewing and maintaining DAViCal User records

Located in /inc/RSCDSUser.php (line 24)

    User
       |
       --RSCDSUser

Variable Summary
mixed $delete_collection_confirmation_required
Method Summary
RSCDSUser RSCDSUser ( $id, [ $prefix = ""])
boolean AllowedTo (string $whatever)
void HandleAction ( $action)
string Render ([ $title = ""])
string RenderCollections ( $ef, [ $title = null])
string RenderImportIcs ( $ef, [ $title = null])
string RenderRelationshipsFrom ( $ef, [ $title = null])
string RenderRelationshipsTo ( $ef, [ $title = null])
boolean Validate ()
void Write ()
Variables
mixed $delete_collection_confirmation_required (line 27)
Methods
Constructor RSCDSUser (line 32)

Constructor - nothing fancy as yet.

RSCDSUser RSCDSUser ( $id, [ $prefix = ""])

- $id
- $prefix

AllowedTo (line 303)

Extend parent definition of what the current user is allowed to do

- return: Whether they are allowed to.

boolean AllowedTo (string $whatever)

- string $whatever: What the user wants to do

HandleAction (line 331)

Handle any unusual actions we might invent

void HandleAction ( $action)

- $action

Render (line 47)

Render the form / viewer as HTML to show the user

- return: An HTML fragment to display in the page.

string Render ([ $title = ""])

- $title

RenderCollections (line 248)

Render the user's collections

- return: The string of html to be output

string RenderCollections ( $ef, [ $title = null])

- $ef
- $title

RenderImportIcs (line 94)

Render input file to import ics in calendar user

- return: The string of html to be output

string RenderImportIcs ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsFrom (line 117)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsFrom ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsTo (line 166)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsTo ( $ef, [ $title = null])

- $ef
- $title

Validate (line 293)

Validate the information the user submitted

- return: Whether the form data validated OK.

boolean Validate ()
Write (line 384)

Write the record to the file

void Write ()

Documentation generated on Mon, 22 Jun 2009 21:46:02 +1200 by phpDocumentor 1.3.2